**// You can find me @Tjeb at [ODIN Plus Team Discord](https://discord.com/invite/KKHujtRGvB) //**

![Warfare logo](https://i.imgur.com/16UVvT4.png)

# Presenting the Warfare weapons mod, 47 new weapons, 8 arrows, 2 pickaxes, 40 new crafting materials, 4 new gems and the Deep North crafting forge: Ymir forge!

This mod is aimed at filling the weapon and material gaps for vanilla Valheim and EpicValheimAdditions, also adding a Deep North crafting station and better versions of the Battleaxe and Fenrirclaw weapons.

# Mistlands - Deep North - Ashlands content recipes won't load if EpicValheimAdditions isn't installed, you can still spawn in the weapons.

![Warfare showcase1](https://i.imgur.com/zxN2AEJ.png)
![Warfare showcase2](https://i.imgur.com/sfUX3xx.png)
![Warfare showcase3](https://i.imgur.com/hC5Hlg9.png)
![Warfare showcase5](https://i.imgur.com/r6NLn1n.png)
![Warfare showcase4](https://i.imgur.com/b7BR3yw.png)


**--WEAPON PREFABS--**
```
AxeSilver_TW
AxeNjord_TW
AtgeirSilver_TW
AtgeirNjord_TW
BattleaxeBronze_TW
BattleaxeIron_TW
BattleaxeSilver_TW
BattleaxeBlackmetal_TW
BattleaxeNjord_TW
BattlehammerIron_TW
BattlehammerSilver_TW
BattlehammerBlackmetal_TW
BattlehammerHeavymetal_TW
BattlehammerFrometal_TW
BattlehammerFlametal_TW
BattlehammerNjord_TW
BattlehammerAesir_TW <-- Boss item, can only be spawned or dropped by monster if added to table
BowBlackmetal_TW
BowNjord_TW
GreatbowBlackmetal_TW
GreatClub_TW
ClaymoreBronze_TW
ClaymoreChitin_TW
ClaymoreIron_TW
ClaymoreSilver_TW
ClaymoreBlackmetal_TW
ClaymoreNjord_TW
ClaymoreColussus_TW <-- Boss item, can only be spawned or dropped by monster if added to table
ClaymoreJotunn_TW <-- Boss item, can only be spawned or dropped by monster if added to table
FistSilver_TW
FistBlackmetal_TW
FistHeavymetal_TW
FistFrometal_TW
FistFlametal_TW
FistNjord_TW
KnifeIron_TW
KnifeNjord_TW
MaceNjord_TW
SpearBlackmetal_TW
SpearNjord_TW
SledgeTrollbone_TW
SledgeSilver_TW
SledgeBlackmetal_TW
SledgeNjord_TW
SwordChitin_TW
SwordScimitar_TW
SwordNjord_TW
TridentBlackmetal_TW
```
**--ARROW PREFABS--**
```
ArrowExplosiveFire_TW
ArrowExplosiveFrost_TW
ArrowExplosiveLightning_TW
ArrowExplosivePoison_TW
ArrowFlametal_TW
ArrowFrometal_TW
ArrowPickaxe_TW
ArrowBone_TW
```
**--PICKAXE PREFABS--**
```
PickaxeSilver_TW
PickaxeBlackmetal_TW
```
**--MATERIAL PREFABS--**
```
AncientHeart_TW
ArachnidSilk_TW
ArachnidOoze_TW
ArcticLoxPelt_TW
ArcticWolfPelt_TW
ArcticSerpentScale_TW
AshenScale_TW
AshenFur_TW
AshenFang_TW
AshenCore_TW
DarkCrystal_TW
FreyjaEssence_TW
FrozenFang_TW
FrozenClaw_TW
FrozenFragments_TW
FrozenOrb_TW
GoblinScraps_TW
JotunnTooth_TW
LavaGem_TW
LoxBone_TW
QueenJewel_TW
RottenPelt_TW
ScorchedFragments_TW
VolcanicStone_TW
SvartalfrEye_TW
SvartalfrFabric_TW
SvartalfrArtifact_TW
TrollBone_TW
VenomousFang_TW

RUNES:
RuneAlgiz_TW
RuneBer_TW
RuneDagaz_TW
RuneEihwaz_TW
RuneFehu_TW
RuneJara_TW
RuneMannaz_TW
RuneOthala_TW
RunePerth_TW
RuneRaidho_TW
RuneThurisaz_TW

NEW GEMS TO SELL OR CRAFT WITH:
Amethyst_TW - 30 gold coins
Emerald_TW  - 45 gold coins
Sapphire_TW - 60 gold coins
Topaz_TW    - 80 gold coins
Onyx_TW  - 100 gold coins
```
**--YMIR FORGE PREFABS--**
```
YmirForge_TW
YmirForge_ext1_TW
YmirForge_ext2_TW
YmirForge_ext3_TW
YmirForge_ext4_TW
```
Over time I will add more custom weapons, materials and also armor designed by myself. Stay tuned for updates!

Crafting recipes can be adjusted in the .cfg file to your liking, the new materials can be added to your monsters through DropThat.

If you'd like to disable weapons completely or alter the stats I recommend you use WackyDatabase.

<h2>  MANUAL INSTALL: </h2>

Download and install the latest copy of Bepinex.

Place the Warfare.dll plugin inside of the "Bepinex\plugins" folder.

<h2>  INSTALL NOTES: </h2>

This mod is **INCOMPATIBLE** with Terraheim and will **NOT** load if Terraheim is detected!

The mod is required on both server and client.

<h2>  RECIPE ERROR ON UPDATE: </h2>

Delete the Therzie.Warfare.cfg file in your BepInEx/config/ folder and restart the game to generate a new one.

Be sure to backup your Therzie.Warfare.cfg file if you have made adjustments, delete the original .cfg and put back the values you have edited.

<h2>  CREDITS: </h2>

HUGE shoutout @CookieMilk who has been supporting me all the way in making this mod!

@Azumatt who has been having to put up with my code questions the entire project!

@blaxxun

Everyone else who helped me out in the OdinPlus discord <3

## Changelog
### V1.0.4
* Fixed spear, trident and arrows projectile multiplayer sync

### V1.0.3
* Fixed the following weapon stats: durability, block armor and stamina usage, all are now updated to follow Valheim stat tier levels
* Added Silver battleaxe 
* Redone old icons and textures

### V1.0.2
* Fixed some small bugs and typos that I missed with previous update
* Changed Diamond to Onyx to fit the Jewelcrafting mod gem colors

### V1.0.1
* Recipes for Mistlands - Deep North - Ashlands content will no longer load if EpicValheimAdditions is not detected on load, weapon prefab can still be spawned through console. Thank you @Azumatt, @Jere for helping me with this!
* Added the Njord weapon tier, this is a spirit damage weapon set that can be crafted in the Deep North
* Added 14 new crafting materials: Rotten pelt - Troll bone - Frozen orb - 11 magical runes
* Added Great Club, this is a two handed club mace for the Meadow tier
* Fixed JotunnTooth and QueenJewel material auto pickup
* Fixed Trollbone sledgehammer recipe
* Fixed recipes requiring items from other mods (except EVA)
* Fixed capitals in prefabnames and readme

<h2>  SUPPORT: </h2>

Like my work? Support me!
<a href="https://www.buymeacoffee.com/tjeb?new=1"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=tjeb&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" /></a>

Looking to get a custom weapon made? I am open to commissions.
 
**Do you have feedback regarding this mod?**
<br> 
**Let me know over at the Discord!**

